/****************************************
  ''
****************************************/
/*      */
alter trigger TR_ProtocolReason_BI disable
/
alter trigger TR_ProtocolReason_BU disable
/
alter trigger TR_ProtocolReason_BD disable
/
create or replace procedure AddProtocolReason(ID$ Number, Name$ VarChar2)
as
  cnt$ Number(10);
begin
    select count(*) into cnt$
    from ProtocolReason
    where ID = ID$;

    if cnt$ = 0 then
      insert into ProtocolReason(ID, Name, CreateDate, UpdateDate) values(ID$, Name$, SYSDATE, SYSDATE);
    else
      update ProtocolReason set
        Name = Name$
      where 
        ID = ID$;
    end if;
end;
/

call AddProtocolReason(118, '. 93 . 1 . 5.1 44-  05.04.2013.')
/
call AddProtocolReason(119, '. 93 . 1 . 5.2 44-  05.04.2013.')
/
call AddProtocolReason(120, '. 93 . 1 . 28.1 44-  05.04.2013.')
/
call AddProtocolReason(121, '. 15 . 2 46-  08.03.2022.')
/

alter trigger TR_ProtocolReason_BI enable
/
alter trigger TR_ProtocolReason_BU enable
/
alter trigger TR_ProtocolReason_BD enable
/
commit work
/
